Bug 92325 - [chromium] Remove assert when getting hardware renderingStats in software mode.
Summary: [chromium] Remove assert when getting hardware renderingStats in software mode.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-25 17:50 PDT by Dave Tu
Modified: 2012-08-03 16:20 PDT (History)
8 users (show)

See Also:


Attachments
Patch (5.00 KB, patch)
2012-07-26 18:36 PDT, Dave Tu
no flags Details | Formatted Diff | Diff
Patch (2.58 KB, patch)
2012-07-30 18:24 PDT, Dave Tu
no flags Details | Formatted Diff | Diff
Patch (2.75 KB, patch)
2012-07-31 15:05 PDT, Dave Tu
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Tu 2012-07-25 17:50:26 PDT
[chromium] Add software paint time to GPU benchmarking renderingStats.
Comment 1 Dave Tu 2012-07-26 18:36:38 PDT
Created attachment 154807 [details]
Patch
Comment 2 WebKit Review Bot 2012-07-26 18:58:20 PDT
Please wait for approval from abarth@webkit.org, dglazkov@chromium.org, fishd@chromium.org, jamesr@chromium.org or tkent@chromium.org before submitting, as this patch contains changes to the Chromium public API. See also https://trac.webkit.org/wiki/ChromiumWebKitAPI.
Comment 3 Nat Duca 2012-07-27 09:05:24 PDT
Comment on attachment 154807 [details]
Patch

Do yo have a rason for doing this on webviewimpl instead of in render_widget? Afaict, its kinda easier to do it in rwh and gets the same number.
Comment 4 Dave Tu 2012-07-30 18:24:07 PDT
Created attachment 155413 [details]
Patch
Comment 5 Nat Duca 2012-07-31 11:48:44 PDT
Comment on attachment 155413 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=155413&action=review

LGTM. Enne or Jamesr for review.

> Source/WebKit/chromium/public/WebWidget.h:226
> +    // This call is relatively expensive in accelerated threaded mode, as it blocks on the compositor thread.

You should probably put something saying "its safe to call in software mode, but it wont give you time spent on the software side."
Comment 6 Adrienne Walker 2012-07-31 12:04:21 PDT
Comment on attachment 155413 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=155413&action=review

> Source/WebKit/chromium/ChangeLog:3
> +        [chromium] Add software paint time to GPU benchmarking renderingStats.

This patch did not match my expectations from this bug title.

>> Source/WebKit/chromium/public/WebWidget.h:226
>> +    // This call is relatively expensive in accelerated threaded mode, as it blocks on the compositor thread.
> 
> You should probably put something saying "its safe to call in software mode, but it wont give you time spent on the software side."

Also, "accelerated threaded" isn't usually a phrase that gets used.  I'd say "threaded compositing mode" instead.
Comment 7 Dave Tu 2012-07-31 15:05:59 PDT
Created attachment 155642 [details]
Patch
Comment 8 Adrienne Walker 2012-07-31 15:08:37 PDT
Comment on attachment 155642 [details]
Patch

R=me.
Comment 9 WebKit Review Bot 2012-08-03 16:20:29 PDT
Comment on attachment 155642 [details]
Patch

Clearing flags on attachment: 155642

Committed r124670: <http://trac.webkit.org/changeset/124670>
Comment 10 WebKit Review Bot 2012-08-03 16:20:34 PDT
All reviewed patches have been landed.  Closing bug.